package com.hl.dao.impl;

import com.hl.dao.UsersDao;
import com.hl.pojo.Users;
import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

public class UsersDaoImpl implements UsersDao {
/**
 * 查询所有用户
 *
 */
    @Override
    public List<Users> selectUsersAll() throws IOException {
//        创建sqlSessionFactory对象
       InputStream inputStream =  Resources.getResourceAsStream("mybatis-cfg.xml");
        SqlSessionFactory sqlSessionFactory =new SqlSessionFactoryBuilder().build(inputStream);
//        获取SqlSession
        SqlSession sqlSession = sqlSessionFactory.openSession();
//        通过SqlSession对象下的API完成对数据库的操作
        List<Users> list= sqlSession.selectList("com.hl.mapper.UserMapper.selectUsersALL");
//        关闭SqlSession
        sqlSession.close();
        return list;
    }
}
